{
	"name": "form/nc/erp-sync/moloni/column/order-credit_note.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"change_compare": false,
			"icon": "nc-link-icon",
			"link_field": "ord.order_id",
			"name": "Row",
			"record_type": "invoice",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 60
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"field": "ord.order_id",
			"name": "Invoice",
			"width": 100
		},
		{
			"field": "ord.company_reference_number",
			"name": "Your order ref.",
			"width": 160
		},
		{
			"field": "ord.json_data.transfer_id",
			"name": "Moloni id",
			"width": 80
		},
		{
			"field": "ord.order_state",
			"name": "State",
			"width": 60
		},
		{
			"field": "ord.invoicing_company_id",
			"name": "Customer",
			"width": 100
		},
		{
			"field": "co.json_data.transfer_id",
			"name": "Moloni customer",
			"width": 130
		},
		{
			"field": "ord.order_date",
			"type": "date",
			"name": "Order date",
			"width": 190
		},
		{
			"field": "ord.due_date",
			"type": "date",
			"name": "Due date",
			"width": 190
		},
		{
			"export": false,
			"field": "ord.price_without_vat",
			"name": "Price vat 0%",
			"format": "%'.2f",
			"width": 110
		},
		{
			"export": false,
			"field": "ord.vat_price",
			"name": "Vat",
			"format": "%'.2f",
			"width": 60
		},
		{
			"export": false,
			"field": "ord.price_with_vat",
			"name": "Total price",
			"format": "%'.2f",
			"width": 90
		},
		{
			"field": "ord.currency_id",
			"name": "Currency",
			"width": 80
		},
		{
			"field": "ord.terms_of_payment_id",
			"name": "Terms of payment",
			"width": 135
		},
		{
			"change_compare": false,
			"field": "ord.note",
			"name": "Note",
			"width": 300
		},
		{
			"change_compare": false,
			"field": "ord.order_type",
			"name": "Order type",
			"width": 100
		},
		{
			"import": false,
			"variable": "ord.json_data",
			"name": "Data",
			"width": 4000
		},
		{
			"change_compare": false,
			"field": "ord.record_id",
			"hide": true,
			"name": "Record id",
			"width": 110
		}
	],
	"columns_not_in_use": [
		{
			"field": "ord.json_data.delivery_address",
			"name": "Deliv. address",
			"width": 160
		},
		{
			"field": "ord.json_data.invoicing_address",
			"name": "Inv. address",
			"width": 160
		},
		{
			"field": "ordr.row_number",
			"name": "Row",
			"width": 40
		},
		{
			"field": "ordr.json_data.partial_delivery_number",
			"name": "Partial del.",
			"width": 70
		},
		{
			"field": "co.name",
			"name": "Customer name",
			"width": 120
		},
		{
			"field": "ordr.product_id",
			"name": "Product id",
			"width": 150
		},
		{
			"field": "ordr.unit_price",
			"name": "Unit price",
			"width": 80
		},
		{
			"field": "ordr.delivery_amount",
			"name": "Amount",
			"width": 70
		}
	]
}
